<?php
namespace Incoviba\nuevo\Inmobiliaria;

use Incoviba\Common\Alias\NewModel;
use Incoviba\Common\Definition\hasEstado;

/**
 * 
 * @author Aldarien
 * @property int id
 * @property Contrato contrato_id
 * @property TipoCobro tipo_cobro_id
 * @property Date fecha
 * @property string identificador
 * @property int valor
 * @property int iva
 * @property string glosa
 * @property double uf
 *
 */
class Cobro extends NewModel
{
	use hasEstado;
	
	protected static $_table = 'cobros';
	
    //
    public function contrato()
    {
    	return $this->belongsTo(Contrato::class, 'contrato_id')->findOne();
    }
    public function tipo()
    {
    	return $this->belongsTo(TipoCobro::class, 'tipo_cobro_id')->findOne();
    }
}
